std::atomic_flag(3)

NAME
std::atomic_flag - atomic_flag

SYNOPSIS

Inherits std::__atomic_flag_base.

  Public Member Functions
constexpr atomic_flag (bool __i) noexcept
atomic_flag (const atomic_flag &)=delete
void clear (memory_order __m=memory_order_seq_cst) noexcept
void clear (memory_order __m=memory_order_seq_cst) volatile noexcept
atomic_flag & operator= (const atomic_flag &) volatile=delete
atomic_flag & operator= (const atomic_flag &)=delete
bool test_and_set (memory_order __m=memory_order_seq_cst) noexcept
bool test_and_set (memory_order __m=memory_order_seq_cst) volatile noexcept

  Public Attributes
__atomic_flag_data_type _M_i

Detailed Description

atomic_flag

Definition at line 186 of file atomic_base.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.